// Package robot -----------------------------
// @file      : task.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2025/6/13 18:02
// -------------------------------------------
package robot

import (
	"fonchain-fiee/api/accountFiee"
	"fonchain-fiee/pkg/service/asChat/chatCache"
	"time"
)

type RobotTask struct {
	RunTime  time.Time
	Run      func(msg string, cache *chatCache.ChatCache, Sender *accountFiee.ChatUserData) error
	Response string
	ChatUser *accountFiee.ChatUserData
}
